#ifndef _ASFSTREAMNODE_H_
#define _ASFSTREAMNODE_H_


// Flags for ASFSampleInfo.flags
// (The low 4 bits are the number of frames of WMA audio)
#define ASI_FLAG_KEYFRAME				32
#define ASI_FLAG_SEEN_FIRST_FRAGMENT	64

#include <pshpack1.h>

typedef struct {
	__int64			pos;
	long			size;
	DWORD			pres_time;
	BYTE			obj_number;
	unsigned char	flags;
} ASFSampleInfo;

#include <poppack.h>


class ASFStreamNode
{
public:
	DWORD           fccType;
	DWORD           dwRate;
	DWORD           dwScale;
	double          Duration;
	DWORD           dwMaxSample;
	bool            bHasVSB;
	HIC             hCodec;
	int             stream_number;
	void*           pFormat;
	int             iFormatLen;
	void*           pAVCDCR;
	int             iAVCDCRLen;
	DataVector*     dv;
	ASFSampleInfo*  sample_list;
	unsigned long*  sample_map;
	DWORD           dwActualLength;
	DWORD           dwPerceivedLength;
	__int64         i64TotalBytes;
	int             iSpan;
	int             iAudioScrambleChunk;
	int             iLanguageIndex;

	ASFStreamNode()
		: fccType               (0)
		, dwRate                (1)
		, dwScale               (1)
		, Duration              (0.0)
		, dwMaxSample           (0)
		, bHasVSB               (false)
		, hCodec                (NULL)
		, stream_number         (0)
		, pFormat               (NULL)
		, iFormatLen            (0)
		, pAVCDCR               (NULL)
		, iAVCDCRLen            (0)
		, dv                    (NULL)
		, sample_list           (NULL)
		, sample_map            (NULL)
		, dwActualLength        (0)
		, dwPerceivedLength     (0)
		, i64TotalBytes         (0)
		, iSpan                 (0)
		, iAudioScrambleChunk   (0)
		, iLanguageIndex        (-1)
	{
	}

	~ASFStreamNode()
	{
		delete [] sample_map;
		free(sample_list);
		delete [] pAVCDCR;
		delete [] pFormat;
		delete dv;
	}


//	ASFStreamNode();
//	~ASFStreamNode();
};


#endif	// _ASFSTREAMNODE_H_
