#ifndef _AUDIOSOURCEWMV_H_
#define _AUDIOSOURCEWMV_H_


#ifdef EXPOSE_V3
	class AudioSourceWMV : public vdxunknown<IVDXStreamSource>, public IVDXStreamSourceV3, public IVDXAudioSource {
#else
	class AudioSourceWMV : public vdxunknown<IVDXStreamSource>, public IVDXAudioSource {
#endif

public:
	AudioSourceWMV(InputFileWMV *const pp, ASFStreamNode *const asn);
	~AudioSourceWMV();

	// IVDXUnknown methods
	int         VDXAPIENTRY AddRef();
	int         VDXAPIENTRY Release();
	void*       VDXAPIENTRY AsInterface(uint32 iid);

	// IVDXStreamSource methods
	void        VDXAPIENTRY GetStreamSourceInfo(VDXStreamSourceInfo&);
	bool        VDXAPIENTRY Read(sint64 lStart, uint32 lCount, void *lpBuffer, uint32 cbBuffer, uint32 *lBytesRead, uint32 *lSamplesRead);
	const void* VDXAPIENTRY GetDirectFormat();
	int         VDXAPIENTRY GetDirectFormatLen();
	ErrorMode   VDXAPIENTRY GetDecodeErrorMode();
	void        VDXAPIENTRY SetDecodeErrorMode(ErrorMode mode);
	bool        VDXAPIENTRY IsDecodeErrorModeSupported(ErrorMode mode);
	bool        VDXAPIENTRY IsVBR();
	sint64      VDXAPIENTRY TimeToPositionVBR(sint64 us);
	sint64      VDXAPIENTRY PositionToTimeVBR(sint64 samples);

#ifdef EXPOSE_V3
	// IVDXStreamSourceV3 methods
	void        VDXAPIENTRY GetStreamSourceInfoV3(VDXStreamSourceInfoV3&);
#endif

	// IVDXAudioSource methods
	void        VDXAPIENTRY GetAudioSourceInfo(VDXAudioSourceInfo& info);

private:
	InputFileWMV*  const parentPtr;
	ASFStreamNode* const audio;

	DWORD   dwGuess;

	IVDXStreamSource::ErrorMode errmode;

	void UnscrambleAudio(DWORD& dwStart, uint32& lSamples);
};


#endif	// _AUDIOSOURCEWMV_H_
