#ifndef _DATAVECTOR_H_
#define _DATAVECTOR_H_


class DataVector {

private:
	struct DataVectorBlock
	{
		enum {
			BLOCK_SIZE = 4096 -
			(sizeof(DataVectorBlock*) * 2 + sizeof(UINT_PTR))
		};

		DataVectorBlock*    Prev;
		DataVectorBlock*    Next;
		UINT_PTR            Size;
		unsigned char       Heap[BLOCK_SIZE];
	};

	DataVectorBlock*        mFirst;
	DataVectorBlock*        mLast;
	const unsigned int      mItemSize;
	unsigned int            mCount;

public:
	DataVector(const unsigned int item_size);
	~DataVector();

	void Add(const void *pp);
	void *MakeArray() const;

	unsigned int Length() const { return mCount; };
};


#endif // _DATAVECTOR_H_
