#ifndef _INPUTFILEWMV_H_
#define _INPUTFILEWMV_H_


// Expose the IVDXStreamSourceV3 interfaces.
// (Not really useful right now.)

//#define EXPOSE_V3


class InputFileWMV : public vdxunknown<IVDXInputFile> {

private:
	enum { MAX_STREAMS = 128 };

	bool guiDlgMessageLoop(HWND hDlg);
	static INT_PTR CALLBACK ParseDialogProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

	bool Parse_ASF_Header_Extension_Object(__int64 limit);
	bool Parse_ASF_Extended_Stream_Properties_Object(__int64 limit);
	bool Parse_ASF_Stream_Properties_Object(__int64 limit);
	int Get_VLC(const void *data, DWORD *VLC, int flags) const;
	static BOOL CALLBACK FindContextWindow(HWND hwnd, LPARAM lParam);
	void Parse_ASF_Data_Object(__int64 len);
	void Parse_ASF_File_Properties_Object(__int64 limit);
	bool Parse_ASF_Header_Object(__int64 limit);
	void DeriveFrameRate(ASFStreamNode *video);
	void DeriveDuration(ASFStreamNode& asn);
	void ParseFileRoot();

	__int64 i64MovieLimit;
	const uint32 uiFlags;
	bool fAbort;

	static char *map_language(const char *lang);
	static char *time_to_string(double seconds);
	static void UpdateDlgAudio(HWND hDlg, int index);
	static void UpdateDlgVideo(HWND hDlg, int index);
	static INT_PTR CALLBACK InfoDlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

	unsigned char *languages;
	int language_size;

public:
	InputFileWMV(const VDXInputDriverContext& context, uint32 flags);
	~InputFileWMV();

	void VDXAPIENTRY Init(const wchar_t *szFile, IVDXInputOptions *opts);
	bool VDXAPIENTRY Append(const wchar_t *szFile);

	bool VDXAPIENTRY PromptForOptions(VDXHWND, IVDXInputOptions **);
	bool VDXAPIENTRY CreateOptions(const void *buf, uint32 len, IVDXInputOptions **);
	void VDXAPIENTRY DisplayInfo(VDXHWND hwndParent);

	bool VDXAPIENTRY GetVideoSource(int index, IVDXVideoSource **);
	bool VDXAPIENTRY GetAudioSource(int index, IVDXAudioSource **);

	long ReadData(void *lpBuffer, DWORD pktnum, int offset, long bytes, ASFStreamNode *pasn);

	char *GetLanguageA(int index);

protected:
	WinFile mFile;

	ASFStreamNode *streams[MAX_STREAMS];
	int num_streams;
	int num_audio_streams;

	unsigned char *pktbuf;
	DWORD dwPreroll;
	int pktsize;

	const VDXInputDriverContext& mContext;
};


#endif	// _INPUTFILEWMV_H_
