#ifndef _LANGUAGES_H_
#define _LANGUAGES_H_

/*****************************************************************
 * Language name map, mostly a mesh of winnt.h and ISO 639-1/2.
 * The table is meant to be expandable; the final entry is null.
 *****************************************************************/

static const char *language_map[][2] =
{
	{ "af",    "Afrikaans" },
	{ "sq",    "Albanian" },
	{ "ar",    "Arabic" },
	{ "ar-dz", "Arabic (Algeria)" },
	{ "ar-bh", "Arabic (Bahrain)" },
	{ "ar-eg", "Arabic (Egypt)" },
	{ "ar-iq", "Arabic (Iraq)" },
	{ "ar-jo", "Arabic (Jordan)" },
	{ "ar-kw", "Arabic (Kuwait)" },
	{ "ar-lb", "Arabic (Lebanon)" },
	{ "ar-ly", "Arabic (Libya)" },
	{ "ar-ma", "Arabic (Morocco)" },
	{ "ar-om", "Arabic (Oman)" },
	{ "ar-qa", "Arabic (Qatar)" },
	{ "ar-sa", "Arabic (Saudi Arabia)" },
	{ "ar-sy", "Arabic (Syria)" },
	{ "ar-tn", "Arabic (Tunisia)" },
	{ "ar-ae", "Arabic (U.A.E.)" },
	{ "ar-ye", "Arabic (Yemen)" },
	{ "hy",    "Armenian" },
	{ "as",    "Assamese" },
	{ "az",    "Azeri" },
	{ "eu",    "Basque" },
	{ "be",    "Belarusian" },
	{ "bn",    "Bengali" },
	{ "bg",    "Bulgarian" },
	{ "ca",    "Catalan" },
	{ "zh",    "Chinese" },
	{ "zh-hk", "Chinese (Hong Kong SAR)" },
	{ "zh-cn", "Chinese (PRC)" },
	{ "zh-sg", "Chinese (Singapore)" },
	{ "zh-tw", "Chinese (Taiwan)" },
	{ "hr",    "Croatian" },
	{ "cs",    "Czech" },
	{ "da",    "Danish" },
	{ "dv",    "Divehi" },
	{ "nl-be", "Dutch (Belgium)" },
	{ "nl",    "Dutch (Netherlands)" },
	{ "en-au", "English (Australia)" },
	{ "en-bz", "English (Belize)" },
	{ "en-ca", "English (Canada)" },
	{ "en",    "English (Caribbean)" },
	{ "en-ie", "English (Ireland)" },
	{ "en-jm", "English (Jamaica)" },
	{ "en-nz", "English (New Zealand)" },
	{ "en-za", "English (South Africa)" },
	{ "en-tt", "English (Trinidad)" },
	{ "en-gb", "English (United Kingdom)" },
	{ "en-us", "English (United States)" },
	{ "et",    "Estonian" },
	{ "fo",    "Faeroese" },
	{ "fa",    "Farsi" },
	{ "fi",    "Finnish" },
	{ "fr-be", "French (Belgium)" },
	{ "fr-ca", "French (Canada)" },
	{ "fr",    "French (France)" },
	{ "fr-lu", "French (Luxembourg)" },
	{ "fr-ch", "French (Switzerland)" },
	{ "gd",    "Gaelic (Scotland)" },
	{ "gl",    "Galician" },
	{ "ka",    "Georgian" },
	{ "de-at", "German (Austria)" },
	{ "de",    "German (Germany)" },
	{ "de-li", "German (Liechtenstein)" },
	{ "de-lu", "German (Luxembourg)" },
	{ "de-ch", "German (Switzerland)" },
	{ "el",    "Greek" },
	{ "gu",    "Gujarati" },
	{ "he",    "Hebrew" },
	{ "hi",    "Hindi" },
	{ "hu",    "Hungarian" },
	{ "is",    "Icelandic" },
	{ "id",    "Indonesian" },
	{ "ga",    "Irish" },
	{ "it",    "Italian (Italy)" },
	{ "it-ch", "Italian (Switzerland)" },
	{ "ja",    "Japanese" },
	{ "kn",    "Kannada" },
	{ "ks",    "Kashmiri" },
	{ "kk",    "Kazak" },
/*	{ "??",    "Konkani" }, */
	{ "ko",    "Korean" },
	{ "ky",    "Kyrgyz" },
	{ "lv",    "Latvian" },
	{ "lt",    "Lithuanian" },
	{ "mk",    "Macedonian" },
	{ "ms",    "Malaysian" },
	{ "ml",    "Malayalam" },
	{ "mt",    "Maltese" },
/*	{ '??',    "Manipuri" }, */
	{ "mr",    "Marathi" },
	{ "mn",    "Mongolian" },
	{ "ne",    "Nepali" },
	{ "no",    "Norwegian" },
	{ "or",    "Oriya" },
	{ "pl",    "Polish" },
	{ "pt-br", "Portuguese (Brazil)" },
	{ "pt",    "Portuguese (Portugal)" },
	{ "pa",    "Punjabi" },
	{ "rm",    "Rhaeto-Romanic" },
	{ "ro",    "Romanian" },
	{ "ro-mo", "Romanian (Republic of Moldova)" },
	{ "ru",    "Russian" },
	{ "ru-mo", "Russian (Republic of Moldova)" },
	{ "sz",    "Sami (Lappish)" },
	{ "sa",    "Sanskrit" },
	{ "sr",    "Serbian" },
	{ "sd",    "Sindhi" },
	{ "sk",    "Slovak" },
	{ "sl",    "Slovenian" },
	{ "sb",    "Sorbian" },
	{ "es-ar", "Spanish (Argentina)" },
	{ "es-bo", "Spanish (Bolivia)" },
	{ "es-cl", "Spanish (Chile)" },
	{ "es-co", "Spanish (Colombia)" },
	{ "es-cr", "Spanish (Costa Rica)" },
	{ "es-do", "Spanish (Dominican Republic)" },
	{ "es-ec", "Spanish (Ecuador)" },
	{ "es-sv", "Spanish (El Salvador)" },
	{ "es-gt", "Spanish (Guatemala)" },
	{ "es-hn", "Spanish (Honduras)" },
	{ "es-mx", "Spanish (Mexico)" },
	{ "es-ni", "Spanish (Nicaragua)" },
	{ "es-pa", "Spanish (Panama)" },
	{ "es-py", "Spanish (Paraguay)" },
	{ "es-pe", "Spanish (Peru)" },
	{ "es-pr", "Spanish (Puerto Rico)" },
	{ "es",    "Spanish (Traditional Sort)" },
	{ "es-uy", "Spanish (Uruguay)" },
	{ "es-ve", "Spanish (Venezuela)" },
	{ "sx",    "Sutu" },
	{ "sv",    "Swedish" },
	{ "sv-fi", "Swedish (Finland)" },
	{ "sw",    "Swahili" },
/*	{ '??',    "Syriac" }, */
	{ "ta",    "Tamil" },
	{ "tt",    "Tatar" },
	{ "te",    "Telugu" },
	{ "th",    "Thai" },
	{ "ts",    "Tsonga" },
	{ "tn",    "Tswana" },
	{ "tr",    "Turkish" },
	{ "uk",    "Ukrainian" },
	{ "ur",    "Urdu" },
	{ "uz",    "Uzbek" },
	{ "ve",    "Venda" },
	{ "vi",    "Vietnamese" },
	{ "xh",    "Xhosa" },
	{ "ji",    "Yiddish" },
	{ "zu",    "Zulu" },

	{ NULL,    NULL }
};

#endif	/* _LANGUAGES_H_ */
